×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Mar 2008
    Posts
    10

    Unhappy Certificate invalid or expired....

    Hi All,

    I am new to python S60. I am trying to create a stand alone app(sis) for N72 which contains python script as well as a python interpreter. But i get an error message saying, "Certificate invalid or expired..Check phone date settings.." when i try to install on the phone. I referred to previous posts regarding this. It was said to check developer's & device date and time. but it didnt work for me.

    I followed the procedure given below...

    pls refer to the " How to make a *.SIS file that includes the python interpreter, so you can distribute your app to people who do not have the python interpreter installed previously on their Nokia Series 60 device: " section

    http://www.mobilenin.com/pys60/info_...pplication.htm

    I am using this code:

    import inbox, appuifw

    box = inbox.Inbox()

    for sms_id in box.sms_messages()[:1]:
    msg = box.content(sms_id)
    appuifw.note(msg)

    it didnt work. However it gets installed if i change my mobile's date to 2006. but i do not want to change the mobile date. Also changed the system's date to 2005,2006,2007,2008,2009,2010..not working still...

    Any help would be appreciated...

    Thank you

  2. #2
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Re: Certificate invalid or expired....

    Hi Vik welcome to the Forum !,

    The only conventional way to get this problem solved is to sign the application file (SIS) by a valid developer certificate. You could do it using ensymble.

    OR

    If you do not have a Dev cert, you could use the open signed (Online) at symbiansigned.com

    Best Regards
    Croozeus

    PS: Next time you want to post any code please do use the CODE (#) tab for it as it maintains the indentations in the CODE.
    Pankaj Nathani
    www.croozeus.com

  3. #3
    Registered User
    Join Date
    Mar 2008
    Posts
    10

    Re: Certificate invalid or expired....

    hey..
    Thanks for the reply...i tried using ensymble....i get this error message.."invalid SISfield type'93440'.....and when i try to install it on my mobile...it says .."File corrupted"

    Pls help

  4. #4
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: Certificate invalid or expired....

    Quote Originally Posted by Vik The Red View Post
    hey..
    Thanks for the reply...i tried using ensymble....i get this error message.."invalid SISfield type'93440'.....and when i try to install it on my mobile...it says .."File corrupted"

    Pls help
    It would help if you posted the commands you used to generate or sign the sis file when you got the error.
    Last edited by bogdan.galiceanu; 2008-03-25 at 13:52.

  5. #5
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Certificate invalid or expired....

    Quote Originally Posted by Vik The Red View Post
    hey..
    Thanks for the reply...i tried using ensymble....i get this error message.."invalid SISfield type'93440'.....and when i try to install it on my mobile...it says .."File corrupted"

    Pls help
    hi Vik The Red
    first of all make it clear that your n72 is a s60 2nd FP3 device and plz try to make sis using py2sis. dont use ensymble as it is only for 3rd edition phones.
    plz feedback.

    @croozeus
    ensymble is used to make sis files only for 3rd edition devices.

  6. #6
    Regular Contributor
    Join Date
    Dec 2007
    Location
    India
    Posts
    133

    Re: Certificate invalid or expired....

    Quote Originally Posted by gaba88 View Post
    hi Vik The Red
    first of all make it clear that your n72 is a s60 2nd FP3 device and plz try to make sis using py2sis. dont use ensymble as it is only for 3rd edition phones.
    plz feedback.

    @croozeus
    ensymble is used to make sis files only for 3rd edition devices.
    I think Croozeus said to use ensymble to sign the SIS files (Not create them)

    SIS files can be signed with ensymble for Sure.
    Kandyfloss

    V 7.0642.0
    18-10-06
    RH-51
    Nokia 7610

  7. #7
    Registered User
    Join Date
    Mar 2008
    Posts
    10

    Re: Certificate invalid or expired....

    Hey thanks for all your replies.....

    my mistake..i used the wrong python SIS file

    It works fine now...

    Thanks a lot

Similar Threads

  1. Trusted Application
    By damien_a in forum Mobile Java General
    Replies: 11
    Last Post: 2012-02-17, 20:49
  2. Lifeblog for 6630 - Expired certificate
    By ostmo in forum Feedback - Nokia Developer Services & Infrastructure
    Replies: 4
    Last Post: 2007-07-02, 15:24
  3. expired certificate error
    By andycris3107 in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2006-11-22, 07:49
  4. expired certificate on carbide.vs sample developer certificate
    By ya_la in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 1
    Last Post: 2006-11-06, 05:53
  5. Self-signed CA certificate
    By blackbuddha in forum Mobile Java Networking & Messaging & Security
    Replies: 6
    Last Post: 2006-07-25, 11:03

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×